%define		_class		HTML
%define		_subclass	Template
%define		upstream_name	%{_class}_%{_subclass}_IT

Name:		php-pear-%{upstream_name}
Version:	1.3.2
Release:	%mkrel 1
Summary:	Integrated Templates
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_Template_IT/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
HTML_Template_IT: Simple template API. The Isotemplate API is somewhat
tricky for a beginner although it is the best one you can build.
template::parse() [phplib template = Isotemplate] requests you to name
a source and a target where the current block gets parsed into. Source
and target can be block names or even handler names. This API gives
you a maximum of flexibility but you always have to know what you do
which is quite unusual for PHP scripter like me. I noticed that I do
not any control on which block gets parsed into which one. If all
blocks are within one file, the script knows how they are nested and
in which way you have to parse them. IT knows that inner1 is a child
of block2, there's no need to tell him about this. Features:
 - Nested blocks,
 - Include external file,
 - Custom tags format (default {mytag}).

HTML_Template_ITX: With this class you get the full power of the
phplib template class. You may have one file with blocks in it but you
have as well one main file and multiple files one for each block. This
is quite useful when you have user configurable websites. Using blocks
not in the main template allows you to modify some parts of your
layout easily.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

#%post
#%if %mdkversion < 201000
#pear install --nodeps --soft --force --register-only \
#    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
#%endif

#%preun
#%if %mdkversion < 201000
#if [ "$1" -eq "0" ]; then
#    pear uninstall --nodeps --ignore-errors --register-only \
#        %{pear_name} >/dev/null || :
#fi
#%endif

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Mon Nov 25 2024 mokraemer <mokraemer> 1.3.2-1.mga10
+ Revision: 2118922
- new version 1.3.2

* Tue Mar 22 2022 umeabot <umeabot> 1.3.1-3.mga9
+ Revision: 1819370
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1522039
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 mokraemer <mokraemer> 1.3.1-1.mga7
+ Revision: 1357114
- new version 1.3.1

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-9.mga7
+ Revision: 1273229
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.3.0-8.mga6
+ Revision: 964598
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.3.0-7.mga6
+ Revision: 964497
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 746421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 687285
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 516837
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-3.mga3
+ Revision: 376283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.3.0-2.mga1
+ Revision: 20855
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTML_Template_IT

